package com.unis.base.server.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.unis.base.common.vo.DYpxxQueryHisVO;
import com.unis.base.server.entity.DYpxxHisDO;

@Repository
public interface DYpxxHisDao {

    int deleteByPrimaryKey(String id);

    int insert(DYpxxHisDO record);

    int insertSelective(DYpxxHisDO record);

    DYpxxHisDO selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DYpxxHisDO record);

    int updateByPrimaryKey(DYpxxHisDO record);
    /**
	 * 获取任务ID主键策略方法  
	 * @param maxCodeById
	 * @param string
	 * @param i
	 * @return
	 */
	String getMaxCodeById(@Param("pstr")String pstr);
	/**
	 * @param dYpxxQueryHisVO
	 * @return
	 */
	List<DYpxxHisDO> findPageList(DYpxxQueryHisVO dYpxxQueryHisVO);
}